org.codehaus.plexus.container.initialization

## Class ContainerInitializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.container.initialization.ContainerInitializationException

All Implemented Interfaces:
  java.io.Serializable

    public class ContainerInitializationException
    extends java.lang.Exception

Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContainerInitializationException(java.lang.String id)`
`ContainerInitializationException(java.lang.String id, java.lang.Throwable throwable)`
`ContainerInitializationException(java.lang.Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerInitializationException

    public ContainerInitializationException(java.lang.String id)

#### ContainerInitializationException

    public ContainerInitializationException(java.lang.String id,
                                    java.lang.Throwable throwable)

#### ContainerInitializationException

    public ContainerInitializationException(java.lang.Throwable throwable)